Bug 1125031 - The default admin.conf and consumer.conf had quotes around their ca_path default settings
Summary: The default admin.conf and consumer.conf had quotes around their ca_path defa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: Master
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: 2.4.0
Assignee: Randy Barlow
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 22:37 UTC by Randy Barlow
Modified: 2014-08-09 06:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 06:55:38 UTC


Attachments (Terms of Use)

Description Randy Barlow 2014-07-30 22:37:34 UTC
It is important not to put quotes around these settings because that causes the path used to have quotes, which isn't a valid path on most Unix systems ☺

Comment 1 Randy Barlow 2014-07-30 22:38:10 UTC
https://github.com/pulp/pulp/pull/1072

Comment 2 Preethi Thomas 2014-08-06 13:51:05 UTC
verified
[root@cloud-qe-15 ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.30.beta.el6.noarch
[root@cloud-qe-15 ~]# 

# certificates (with openssl-style hashed symlinks, one certificate per file).
ca_path = /etc/pki/tls/certs/ca-bundle.crt



[root@cloud-qe-15 ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

[root@cloud-qe-15 ~]#

Comment 3 Randy Barlow 2014-08-09 06:55:38 UTC
This has been fixed in Pulp 2.4.0-1.


Note You need to log in before you can comment on or make changes to this bug.